package com.ruoyi.base.service;

import java.util.List;
import com.ruoyi.base.domain.BaseCabinetInfo;

import com.ruoyi.base.domain.baseCabinetInfoTreeSelects;

/**
 * 电柜信息Service接口
 *
 * @author ruoyi
 * @date 2024-10-31
 */
public interface IBaseCabinetInfoService
{
    /**
     * 查询电柜信息
     *
     * @param objId 电柜信息主键
     * @return 电柜信息
     */
    public BaseCabinetInfo selectBaseCabinetInfoByObjId(Long objId);

    /**
     * 查询电柜信息列表
     *
     * @param baseCabinetInfo 电柜信息
     * @return 电柜信息集合
     */
    public List<BaseCabinetInfo> selectBaseCabinetInfoList(BaseCabinetInfo baseCabinetInfo);

    /**
     * 新增电柜信息
     *
     * @param baseCabinetInfo 电柜信息
     * @return 结果
     */
    public int insertBaseCabinetInfo(BaseCabinetInfo baseCabinetInfo);

    /**
     * 修改电柜信息
     *
     * @param baseCabinetInfo 电柜信息
     * @return 结果
     */
    public int updateBaseCabinetInfo(BaseCabinetInfo baseCabinetInfo);

    /**
     * 批量删除电柜信息
     *
     * @param objIds 需要删除的电柜信息主键集合
     * @return 结果
     */
    public int deleteBaseCabinetInfoByObjIds(Long[] objIds);

    /**
     * 删除电柜信息信息
     *
     * @param objId 电柜信息主键
     * @return 结果
     */
    public int deleteBaseCabinetInfoByObjId(Long objId);

    /**
     * 查询电柜信息树列表
     *
     * @return 所有电柜信息信息
     */
    List<baseCabinetInfoTreeSelects> selectCabinetInfoTreeList(BaseCabinetInfo baseCabinetInfo);
}
